#include <math.h>
#include <stdio.h>
#include "libestat.h"

/*
 * Função: desvioPadrao
 * ---------------------------------
 * A função recebe como parâmetros de entrada um vetor de valores
 * do tipo double e o tamanho do vetor.
 * A função devolve o desvio padrão dos valores.
 */
double desvioPadrao(double *vet, int n)
{
    int i;
    double media = 0, dp = 0;

    printf("Oi, estou na função desvioPadrao");
    for (i = 0; i < n; i++)
        media += vet[i];

    media /= n;
    for (i = 0; i < n; i++)
        dp += pow((media - vet[i]), 2);

    return sqrt(dp/n);
}
